Subject: Re: bug#51877: 27.2; term: error in process filter

From: Christopher Howard <[email-masked]>
Date: Mon, 15 Nov 2021 10:33:07 -0900

Thank you, I used `set-terminal-coding-system' to set it to raw mode,
and the error went away.

I am used to Gnome-terminal, where garbage unicode is outputted as the
unicode replacement character (0xfffd, the diamond with the question
mark) and there are no other errors reported, or disruptions in the
output. I am not sure what is best for Emacs, but I should think that
at least some kind of exception handling or better error message would
be appropriate.